Update terminal settings
Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/terminal" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "terminalName": "string", "type": "regular", "status": "pending_setup", "plan": "tier_1", "tokenPlan": "none", "setupFeePaid": true, "billingStartDate": "2019-08-24T14:15:22Z", "nextBillingDate": "2019-08-24T14:15:22Z", "currentMonthVolume": 0, "currentMonthTransactions": 0, "currentMonthTokenCharges": 0, "hostedFieldsEnabled": true, "recurringEnabled": true, "autoIncludePaymentLink": true, "singleTransactionLimit": 0, "dailyLimit": 0, "monthlyLimit": 0, "paymentPageLogoUrl": "string", "paymentPageAccentColor": "string", "createdAt": "2019-08-24T14:15:22Z", "activatedAt": "2019-08-24T14:15:22Z"}
